#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	LVM2
Version		:	2.03.15
Release		:	16.2.0.rel%{?dist}
Summary		:	Userspace toolset that provide logical volume management facilities on linux
Group		:	Utilities/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://sourceware.org/lvm2/

Source0		:	%{name}-%{version}.tgz

#-----------------------------------------------------------------------------
BuildRequires	:	libaio
BuildRequires	:	eudev-devel

Requires	:	libaio

Requires(post)	:	glibc
Requires(postun):	glibc
#-----------------------------------------------------------------------------
%description
LVM2 refers to the userspace toolset that provide logical volume
management facilities on linux. It is reasonably backwards-compatible
with the original LVM toolset.

To use LVM2 you need 3 things: device-mapper in your kernel,
the userspace device-mapper support library (libdevmapper) and the
userspace LVM2 tools. Please look at http://sources.redhat.com/dm/
for information about the device-mapper kernel and userspace components. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README
%{_sysconfdir}/lvm/*.conf
%{_sysconfdir}/lvm/profile/*.profile
%{_includedir}/*.h
%attr (0555,root,root) %{_sbindir}/blkdeactivate
%attr (0555,root,root) %{_sbindir}/dmsetup*
%attr (0555,root,root) %{_sbindir}/fsadm*
%{_libdir}/udev/rules.d/*.rules
%attr (0555,root,root) %{_libdir}/libdevmapper.so.1.*
%attr (0555,root,root) %{_libdir}/liblvm2cmd.so.2.*
%{_sbindir}/dmstats*
%{_sbindir}/lv*
%{_sbindir}/pv*
%{_sbindir}/vg*
%{_libdir}/libdevmapper.so
%{_libdir}/liblvm2cmd.so
%{_libdir}/pkgconfig/devmapper.pc
%{_mandir}/man5/*.5.gz
%{_mandir}/man7/*.7.gz
%{_mandir}/man8/*.8.gz

#=============================================================================
%prep
%setup -q -n %{name}.%{version}

#---------------------------------------------------------
#building application
%build

SAVEPATH=$PATH
PATH=$PATH:/sbin:/usr/sbin
autoconf -f -i
./configure						\
        --prefix=%{_prefix}				\
	--libdir=%{_libdir}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--datadir=%{_datadir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-cmdlib					\
	--enable-pkgconfig				\
	--enable-udev_sync				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\

PATH=$SAVEPATH
unset SAVEPATH

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} 						\
	DESTDIR=%{buildroot}				\
	install

#adjusting ownership for rpm stripping
%{__chmod} +w %{buildroot}/%{_libdir}/*.so.*
%{__chmod} +w %{buildroot}/%{_sbindir}/*

#-----------------------------------------------------------------------------
%changelog
